### Method

# Fwupd Remote get_firmware_base_uri

since: 2.0.2

#### Declaration [src]

    const gchar*
    fwupd_remote_get_firmware_base_uri (
      FwupdRemote* self
    )

#### Description [src]

Gets the base URI for firmware.

Available since: 2.0.2

#### Return value

Type: `const gchar*`

A URI, or `NULL` for unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.